PDA

Afficher la version complète : Drivers ATI et OpenSuSE 10.2



kyberdream
25/02/2007, 12h15
Bonjour,
J'aimerais savoir si les drivers ATI sont compatibles avec OpenSuSE 10.2. Je m'explique : sur le site ATI il y a marqué que ces drivers sont compatibles jusqu'à xorg 7.1, or il me semble que la version de xorg sur la 10.2 est xorg 7.2.

Quelqu'un aurait-il fait l'expérience ?

Merci.

manchette
25/02/2007, 22h13
Salux,

Et la Bienvenue aussi http://www.alionet.org/style_emoticons/<#EMO_DIR#>/wink.gif

Ta question est Excellente! Je ne sais pas.
Quelqu'un ?

xerxesis
26/02/2007, 00h52
Salux,

Et la Bienvenue aussi http://www.alionet.org/style_emoticons/<#EMO_DIR#>/wink.gif

Ta question est Excellente! Je ne sais pas.
Quelqu'un ?[/b]
En effet ils sont incompatibles il faut mettre xorg 7.1 mais personnellement je ne sais pas comment faire j'ai recherché un peu partout mais impossible de trouver la réponse

Coin-coin
26/02/2007, 09h20
Salut,
Il me semble que les derniers drivers règlent le problème. Tu peux les télécharger sur le site d'ATI dans la section "Drivers"

J'ai pas mal lutté pour régler un problème de mise en veille et d'accélération 3D des anciens drivers, et au final il me semble qu'une simple mise à jour m'a suffit.

Je ne t'assure pas que ça marchera, mais essaye au moins !

kyberdream
26/02/2007, 09h39
Je ne t'assure pas que ça marchera, mais essaye au moins ![/b]

Si je suis un peu frileux et que je demande avant d'essayer, c'est justement parce que j'avais essayé auparavant, et que si on est trop lent pour faire un Alt Control BackSpace quand l'écran commence à faire des choses bizarres, on est bon ensuite pour faire un Off/On brutal, ce qui n'est jamais très apprécié des disques durs.

manchette
26/02/2007, 16h09
arf, si tu savais par combien de on/off brutaux je suis passé http://www.alionet.org/style_emoticons/<#EMO_DIR#>/biggrin.gif
(mais mon matériel est fébrile, je suis un cas particulier lol http://www.alionet.org/style_emoticons/<#EMO_DIR#>/wink.gif )

SuSEK6
26/02/2007, 16h54
Bonjour,
J'aimerais savoir si les drivers ATI sont compatibles avec OpenSuSE 10.2.
Quelqu'un aurait-il fait l'expérience ?
Merci.[/b]
Salux,
Tu peux y aller, c'est compatible sans changement de xorg et avec le pilote ATI.
Mais je n'ai testé qu'avec ma 9600...

kyberdream
26/02/2007, 23h55
[/quote]
Salux,
Tu peux y aller, c'est compatible sans changement de xorg et avec le pilote ATI.
Mais je n'ai testé qu'avec ma 9600...
[/quote]
Ok merci, j'essaierai mais pas ce soir :-)
Et je vous tiendrais au courant naturellement.

ljeromz
27/02/2007, 10h40
Salux,
Tu peux y aller, c'est compatible sans changement de xorg et avec le pilote ATI.
Mais je n'ai testé qu'avec ma 9600...
[/quote]
Ok merci, j'essaierai mais pas ce soir :-)
Et je vous tiendrais au courant naturellement.
[/quote]



bonjour à tous,

le sujet m interesse énormement,
Alors as tu fais ta mise à jour et est ce que ca a marché ?
Est ce que quelqu'un aurait une réponse définitive sur le sujet car les avis divergent (cf post de coincoin puis post de kyberdream)
Le site ATI ne mentionne que Xorg 7.1, est prudent de passer quand meme aux drivers propriétaires avec Xorg 7.2 ?

Ou vaut il mieux etre patient ?
a vos claviers.... http://www.alionet.org/style_emoticons/<#EMO_DIR#>/tongue.gif

Ps: ma carte est aussi une ATI 9600

kyberdream
28/02/2007, 00h13
le sujet m interesse énormement,
Alors as tu fais ta mise à jour et est ce que ca a marché ?
Est ce que quelqu'un aurait une réponse définitive sur le sujet car les avis divergent (cf post de coincoin puis post de kyberdream)
Le site ATI ne mentionne que Xorg 7.1, est prudent de passer quand meme aux drivers propriétaires avec Xorg 7.2 ?

Ou vaut il mieux etre patient ?
a vos claviers.... http://www.alionet.org/style_emoticons/<#EMO_DIR#>/tongue.gif

Ps: ma carte est aussi une ATI 9600[/b]

Bon, j'ai fait la mise à jour et c'est toujours pareil : ça plante. Juste perdu 1 heure et un seul On/Off brutal, avec ma radeon 600. On verra lorsque ATI sortira le driver 7.2 si ça continue, je creuserais alors d'autres pistes...
Merci quand même pour les réponses.

ljeromz
28/02/2007, 15h25
Un nouveau lien, provenant d'alionet et qui apparement valide l'utilisation des drivers ATI pour SUSE10.2

http://wiki.alionet.org/doku.php?id=ati

Quelqu'un a t il plus d'infos ?



franki28, qui a rédigé ce tuto, si tu nous lis, pourrais tu nous donner plus d"explications ? la news date du 23/02 donc c'est tout chaud...



@ suivre.... http://www.alionet.org/style_emoticons/<#EMO_DIR#>/arrow.gif

ljeromz
04/03/2007, 12h12
Alors quelqu'un a t il suivi ce tuto ???? -up-

ljeromz
04/03/2007, 15h10
Alors je vais tester moi meme ca ramenera peut etre des gens sur ce sujet :-)

j'ai bien récupérer le fichier par la source http du site ATI.

Mon premier package est bien "x11-video-fglrxG01 "donc ok

pour le deuxième j'ai cette liste qui apparait lorsque je recherche "ati-fglrxG01-kmp"
--
[Ne pas installer] ati-fglrxG01-kmp-bigsmp | 8.33.6_2.6.18.2_34.1-1.1 | 676.4 K
[Ne pas installer] ati-fglrxG01-kmp-debug | 8.33.6_2.6.18.2_34.1-1.1 | 952.2 K
[Ne pas installer] ati-fglrxG01-kmp-default | 8.33.6_2.6.18.2_34.1-1.1 | 663.9 K
--

Ma question est lequel choisir ?
@+

kyberdream
04/03/2007, 16h43
[Ne pas installer] ati-fglrxG01-kmp-bigsmp | 8.33.6_2.6.18.2_34.1-1.1 | 676.4 K
[Ne pas installer] ati-fglrxG01-kmp-debug | 8.33.6_2.6.18.2_34.1-1.1 | 952.2 K
[Ne pas installer] ati-fglrxG01-kmp-default | 8.33.6_2.6.18.2_34.1-1.1 | 663.9 K
--

Ma question est lequel choisir ?
@+[/b]

Tout dépend de ton système, mais je suppose que tu n'as pas une machine multiprocesseurs, donc choisis le default.

J'ai essayé aussi mais c'est toujours instable sur mon PC. Il faudra peut-être que je change de carte graphique, en fin de compte, ou que je revienne en 10.1...

Carnaby
04/03/2007, 18h33
C'est marqué dans le tuto pour connaitre la version de son kernel il faut taper un

uname -r
en mode root.

Plus simplement c'est aussi indiqué dans la rubrique "Information Système" du menu KDE.

ljeromz
05/03/2007, 10h26
Merci pour ses infos, à suivre ce soir...

ljeromz
05/03/2007, 15h02
Alors quelqu'un a t il suivi ce tuto ???? -up-[/b]



ci dessous la réponse de franki28 à propos du tuto, obtenue en message privé, je la publie ici avec son accord pour en faire profiter la communauté http://www.alionet.org/style_emoticons/<#EMO_DIR#>/biggrin.gif

----

Salut !
Lorsque j'étais sous Suse 10.1, j'avais installé les 3.
Mais lorsque je suis passé à 10.2, les paquets n'étaient pas encore disponibles. C'est pourquoi, je suis passé par le site, puis j'ai suivi la méthode manuelle. Depuis, j'ai toujours fait comme ça !
Donc je te conseille de faire ça :
CODE
su
cd Desktop
sh ./ati-driver-installer-8.xx.xx-i386.run (là, tu génère un rpm pour la Suse 10.2)
init 3
(Connectes-toi en utilisateur root afin de pouvoir continuer l'installation)
cd /home/***/Desktop
rpm -ivh fglrx_6_8_0_SUSE-8.xx.xx.1.i386.rpm (utilise TAB pour l'autocomplétion du nom)
sax2 -r -m 0=fglrx -b /usr/share/doc/packages/fglrx/sax2-profile (là accepte, mais fais gaffe car la fenêtre te parle d'un bouton OK qui n'existe pas; je crois que c'est "Accepter")
Là, tant qu'à faire, on va redémarrer : Ctrl+Alt+Sup
[/code]
Pour vérifier que la 3D est bien activée, tapes "glxgears" (qui doit, dans la plupart des cas, non plus retourner quelques centaines de FPS, mais plusieurs milliers).
Lance aussi par exemple X-Moto (bien qu'un 2D, il a besoin de l'accélération et ça te dis si c'est pas bon).
J'espére que ça va marcher (parfois, c'est un peu capricieux)...
A+, Franki28.
---
byebye
ljeromz

Eärendil
05/03/2007, 22h21
Pour info : sur le site d'ATI, ces imbé***** ont oubliés d'ajouter Xorg 7.2 (mais c'est précisé dans les Release Notes).

thveillon
06/03/2007, 17h28
J'ai installé les derniers pilotes ati sous 10.2 pour une carte mère sapphire récente : pas de problème. En revanche beaucoup de carte mère ancienne ou de petite série ne sont plus supportés par les derniers pilotes, là il faut installer des pilotes plus anciens et c'est la galère au cas par cas. Par exemple pour une radeon 9250 ça ne marche pas...

ljeromz
07/03/2007, 14h08
Pour info : sur le site d'ATI, ces imbé***** ont oubliés d'ajouter Xorg 7.2 (mais c'est précisé dans les Release Notes).[/b]



Hello tout le monde

Bonne nouvelle, hier soir je me suis lancé ! ca marche !!!! drivers ok et frames à 8700-9200 !

j'ai une ati saphire 9600 et j'ai suivi de tuto de franki 28 !

pour le moment c'est stable et je ne note rien de particulier si ce n'est que la 3D c'est excellent http://www.alionet.org/style_emoticons/<#EMO_DIR#>/biggrin.gif

Un grand merci à tous ceux qui ont participé à ce thread...
@ bientot

thot
11/03/2007, 21h45
bonjour
j'ai une carte gecube ati 9600 256

j'ai suivi AlioWiki du materiel ati
en console en root
j'ai reussi à faire le rpm...mais
# sax2 -r -m 0=fglrx -b /usr/share/doc/packages/fglrx/sax2-profile
il me met une erreur
spp could not open file :/usr/share/doc/packages/fglrx/sax2-profile at usr/share/sax/modules/sppparses.pm line 61

quand je tappe en console
# sax -r
la 3d est active mais ne fonctionne pas?
une idéé merci?

ljeromz
12/03/2007, 11h03
bonjour
j'ai une carte gecube ati 9600 256

j'ai suivi AlioWiki du materiel ati
en console en root
j'ai reussi à faire le rpm...mais
# sax2 -r -m 0=fglrx -b /usr/share/doc/packages/fglrx/sax2-profile
il me met une erreur
spp could not open file :/usr/share/doc/packages/fglrx/sax2-profile at usr/share/sax/modules/sppparses.pm line 61

quand je tappe en console
# sax -r
la 3d est active mais ne fonctionne pas?
une idéé merci?[/b]



hello,

si tu es sur 10.2 essayes en suivant le tuto de franki28, c'est beaucoup plus simple et tout en mode graphiquen à part sax2....remontes le post il y'a l'adresse du tuto.

tiens nous au courant,@+

thot
12/03/2007, 13h37
<div class='quotetop'>Citation (thot @ 11/03/2007 à 20:45) <{POST_SNAPBACK}> (index.php?act=findpost&pid=128563)
bonjour
j'ai une carte gecube ati 9600 256

j'ai suivi AlioWiki du materiel ati
en console en root
j'ai reussi à faire le rpm...mais
# sax2 -r -m 0=fglrx -b /usr/share/doc/packages/fglrx/sax2-profile
il me met une erreur
spp could not open file :/usr/share/doc/packages/fglrx/sax2-profile at usr/share/sax/modules/sppparses.pm line 61

quand je tappe en console
# sax -r
la 3d est active mais ne fonctionne pas?
une idéé merci?[/b]



hello,

si tu es sur 10.2 essayes en suivant le tuto de franki28, c'est beaucoup plus simple et tout en mode graphiquen à part sax2....remontes le post il y'a l'adresse du tuto.

tiens nous au courant,@+
[/b][/quote]

c'est pareil même erreur
j'ai même utiliser le site ati avec yast

ljeromz
12/03/2007, 14h29
arf, est ce que ta carte est dans la liste des matériels compatibles ?

à part ca, mes compétences s'arretent là...

carabao
19/03/2007, 15h17
bonjour,

La méthode décrite ci après ( http://wiki.alionet.org/doku.php?id=ati#dr...epuis_suse_10.2 (http://wiki.alionet.org/doku.php?id=ati#drivers_ati_depuis_suse_10.2) ) marche-t-elle pour les cartes ati 9200. Car sur le site d'ati on parle que pour ces cartes ,seul le pilote (8.28.8) est valable ? De plus celui-ci ne fonctionne qu'avec xorg 7.1 et non 7.2 ?

De plus j'ai fais la mise à jour du kernel et je suis avec le "2.6.18.8-181-default" et les rpm "ati-fglrxG01-kmp-default", "x11-video-fglrxG01" indiquent qu'ils ont été compilés pour le kernel "8.33.6_2.6.18.2_34.1-1", cela fonctionnera-t-il ?

Pour le moment, je tourne avec le pilote libre radeon avec succès mais j'aimerai profiter de la sortie tv qui ne fonctionne qu'avec le pilote propriétaire "ati".

Merci

Gigab
19/03/2007, 15h22
Je suis curieux de voir la réponse aussi...
Perso j'ai un problème que je n'arrive pas du tout à résoudre http://www.alionet.org/style_emoticons/<#EMO_DIR#>/sad.gif
Si quelqu'un peut aider...
http://www.alionet.org/index.php?showtopic=15267

carabao
22/03/2007, 11h05
bonjour,

Quelqu'un connait-il une adresse courriel chez ati/amd pour que je puisse leur poser des questions (même en anglais si nécessaire) concernant la compatibilité 9200 -->xorg 7.2, merci.

Heero_Yuy
22/03/2007, 11h26
bonjour,

Quelqu'un connait-il une adresse courriel chez ati/amd pour que je puisse leur poser des questions (même en anglais si nécessaire) concernant la compatibilité 9200 -->xorg 7.2, merci.[/b]

Salux,

J'ai trouvé ça sur le site d'ATI-AMD : http://ati.amd.com/fr/companyinfo/contact/index.html